//  main: main.less, out: ../style.css

/* ====================================================================================================================================
OBJECTS
======================================================================================================================================*/

// BUTTONS
.o-button {
    position: relative;
    display: inline-block;
    min-width: 160px;
    height: 50px;
    line-height: 50px;
    text-align: center;
    padding: 0 12px;
    background-color: @color-primary;
    margin: @margin__s 0;
    color: white;
    text-transform: uppercase;
    font-size: @size__s;
    font-family: @font_titles;
    z-index: 0;
    .u-border-radius(25px);
    .transition-elastic--long;
    &.o-button_light {
        background-color: white;
        color: @color-secondary;
        &:hover {
            background-color:white;
            color: @color-primary;
        }
    }
    &.o-button_lightBlu {
        background-color: @color-lightBlu;
        color: @color-primary;
        padding:0 @margin__s*2 0 @margin__s;
        background-image: url('./images/icn_arr_r.svg');
        background-position: center right 10px;
        background-repeat: no-repeat;
        background-size: auto;
        text-align: left;
        &:hover {
            background-color:@color-tetiary;
            color: @color-primary;
        }
    }
    &.o-button_yellow {
        background-color: @color-tetiary;
        color: @color-primary;
        &:hover {
            background-color:@color-tetiary;
            color: @color-secondary;
        }
    }
    &.o-button_outline {
        border: solid 2px @color-secondary;
        background-color: white;
        color: @color-primary;
        &:hover {
            background-color: white;
            color: @color-secondary;
        }
    }
    &:before {
        position: absolute;
        content: '';
        display: block;
        background-color: @color-secondary;
        top: 50%;
        left: 50%;
        width: 50px;
        height: 50px;
        opacity: 1;
        z-index: -1;
        opacity: 0;
        .u-border-radius(100%);
        .u-transform(translate(-50%, -50%)scale(0));
        .u-transform-origin(center);
    }
    &:hover {
        color: @color-tetiary;
        background-color:lighten(@color-primary, 10%);
        &:before {
            .animation__btnZoom();
            z-index: -1;
        }
    }
    @media @media_smartphone {
        height: 36px;
        min-width: 120px;
        line-height: 36px;
        padding: 0 10px;
        font-size: 10px;
        margin: @margin__s/2 0;

        &:before {
            display: none;
        }
    }
}

.o-select {
    .o-button;
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
    -ms-progress-appearance: none;
    &:focus {
        outline: none;
    }
}
// JAVASCRIPT CLASS
.js-hideOnScroll {
    opacity: 1;
    .transition-elastic--long;

    @media @media_smartphone, @media_tablet, @media_landascape {
        &.isScrolled {
            opacity: 0;
        }
    }

}